AurionAI Docs

Execute Kb Import V2

POST
/api/v2/kb/import/execute

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/kb/import/execute" \  -H "Content-Type: application/json" \  -d '{    "provider": "string"  }'
{
  "failed_count": 0,
  "imported_count": 0,
  "items": [
    {
      "article_id": "string",
      "error": "string",
      "source_id": "string",
      "status": "string",
      "title": "string"
    }
  ],
  "provider": "string",
  "query": "string",
  "requested_limit": 0,
  "scanned_count": 0,
  "skipped_count": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}